## Index

### Enumerations

- LOG_LEVEL

### Classes

- Logger

### Type aliases

- LogMessage

### Variables

- LEVELS
- logger

### Functions

- toLevel
- toNum

## Type aliases

### LogMessage

LogMessage: function | any

- Defined in logger.ts:35

## Variables

### Const LEVELS

LEVELS: LOG_LEVEL[] = [LOG_LEVEL.SEVERE,LOG_LEVEL.WARN,LOG_LEVEL.INFO,LOG_LEVEL.DEBUG,LOG_LEVEL.TRACE]

- Defined in logger.ts:9

### Const logger

logger: Logger = new Logger()

- Defined in logger.ts:72

## Functions

### toLevel

- toLevel(level?: undefined | string): SEVERE | DEBUG | TRACE

- - Defined in logger.ts:21

  #### Parameters

  - ##### Optional level: undefined | string

  #### Returns SEVERE | DEBUG | TRACE

### toNum

- toNum(level: LOG_LEVEL): number

- - Defined in logger.ts:17

  #### Parameters

  - ##### level: LOG_LEVEL

  #### Returns number

Generated using TypeDoc